Subject: ALERT: New loophole cuts your home-payment by 50% - View Notice*

From: "Refi Notification" <[email-masked]>
Date: Tue, 28 Oct 2014 13:09:30 -0700

Learn this loophole to get 50% Off your home-bil - See loophole here